Status: Closed Start date: 11 Feb 2012

Priority: High Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 2.44 hours

Target version: CoCoALib-0.99700 Spent time: 2.45 hours

Description

JAA has recently added the fn indets to be applied to a PP.

Its return type is vector<long> being a list (ordered?) of the indices of the indets which actually appear in the PP.

Is this a good rtn type?  If so, what should the fn name be?  Is indets acceptable?

A similar fn has been added in SparsePolyRing for polynomials; analogous qns apply.

Related issues:

Related to CoCoALib - Feature #658: Indets actually in a poly (or vector or m... Closed 22 Jan 2015

History

#1 - 05 Oct 2013 11:09 - John Abbott

- Category set to New Function

- Status changed from New to In Progress

The return type vector<long> can easily be modelled in CoCoA-5 (as LIST of INT).  However, do note that in C++ the indices start from 0 whereas in

CoCoA-5 they start from 1; this ought not to matter (so long as the values are used simply to refer to indets).

Anna said she did not like the name indets to be applicable to RINGELEM; part of the reason was because a simple typo indets(f) instead of

indets(RingOf(f)) would produce code which still runs (and probably gives the correct output in many cases).

We do not yet have a good suggestion for a better name (not too long, but clear in its meaning).

#2 - 09 Oct 2013 18:09 - John Abbott

Name suggestions:

IndetSupport

Related fns could be DependsOn  as in DependsOn(f,x).  Would we need both fns?

#3 - 29 Oct 2013 13:06 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99532

#4 - 02 Apr 2014 07:51 - Anna Maria Bigatti

- Priority changed from Normal to High

- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

we need to change the name
#5 - 02 Apr 2014 07:52 - Anna Maria Bigatti

- Subject changed from Rtn type & name for "indets" of a PP to Return type & name for "indets" of a PP

#6 - 07 Apr 2014 18:10 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#7 - 10 Jul 2014 16:31 - John Abbott

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#8 - 29 Jun 2015 16:44 - John Abbott

- % Done changed from 0 to 10

JAA observes that we already have some vaguely similar functions:

radical(PP)  same as gcd(PP,product(all_indets))

exponents(expv,PP)  non-zero exponent means the PP is present

#9 - 13 Feb 2020 17:46 - John Abbott

- Status changed from In Progress to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99700

- % Done changed from 10 to 100

- Estimated time set to 1.66 h

This has already been done, apparently.

There is a fn called indets which returns a vector<long> being a list of indet indices.

The fn radical is similar to the recently added fn IndetsProd.

Not convinced by the name...

Closing anyway (but I might change the name soon, before release).

#10 - 14 Feb 2020 13:26 - John Abbott

- Estimated time changed from 1.66 h to 2.44 h

The name is now IndetsIn the same name for the analogous fn for RingElem.
